> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pulse-sell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Clients

> Les acheteurs de votre boutique.

Permission : `customers.read`. Guide : [Clients](https://docs.pulse-sell.com/guides/customers.md).

## Lister les clients

`GET /customers` — `customers.read`

Un client est une adresse e-mail ayant au moins une vente encaissée dans cette boutique. Trié par e-mail.

| Paramètre | Description |
| - | - |
| `per_page`, `cursor` | [Pagination](https://docs.pulse-sell.com/concepts/pagination.md). |
| `q` | Recherche dans l'e-mail. |

```bash cURL theme={null}
curl "https://api.pulse-sell.com/v1/customers?q=@exemple.com" \
  -H "Authorization: Bearer $PULSESELL_API_KEY"
```

## Obtenir un client

`GET /customers/{id}` — `customers.read`

L'identifiant `cus_…` est renvoyé par la liste. `404` si cet e-mail n'a aucune vente encaissée dans la boutique.

```bash cURL theme={null}
curl https://api.pulse-sell.com/v1/customers/cus_YXdhQGV4YW1wbGUuY29t \
  -H "Authorization: Bearer $PULSESELL_API_KEY"
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.